<template>
  <el-dialog
    width="45%"
    title="新增订单工序"
    top="5vh"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
    class="order-operation-dialog"
    :close-on-click-modal="false"
  >
    <div>
      <div style="display:flex;">
        <div>工序：</div>
        <div>
          <el-input v-model="dataForm.operationName" placeholder="请选择工序">
            <el-button
              slot="append"
              icon="el-icon-search"
              @click="openOperateDialog()"
            ></el-button>
          </el-input>
        </div>
      </div>
      <div>
        <div>零件：</div>
        <div>
          <el-input v-model="dataForm.partName" placeholder="请选择零件">
            <el-button
              slot="append"
              icon="el-icon-search"
              @click="openPartDialog()"
            ></el-button>
          </el-input>
        </div>
      </div>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">取 消</el-button>
      <el-button
        type="primary"
        :disabled="isSubmit"
        v-thinclick="`saveSelectRow`"
        >确 定</el-button
      >
    </div>
    <partDialog :currshowlist.sync="showPart" @listenToPartEvent="selectPart" />
    <operationDialog
      :currshowlist.sync="showOperate"
      @listenToOperationEvent="selectOperate"
    />
  </el-dialog>
</template>
<script>
import partDialog from '@/views/common/part.vue'
import operationDialog from '@/views/common/operation.vue'
import { fetchListExt } from '@/api/warehouse/location'
export default {
  components: { partDialog, operationDialog },
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    },
    orderId: {
      type: Number,
      default: 0
    },
    operationList: {
      type: Array,
      default: () => {
        return []
      }
    }
  },
  data() {
    return {
      innerVisible: false,
      isSubmit: false,
      dataForm: {
        operationId: null,
        operationName: null,
        operationNo: null,
        partId: null,
        partName: null,
        partNo: null
      },
      showPart: false,
      showOperate: false
    }
  },
  created() {},
  methods: {
    openPartDialog() {
      this.showPart = true
    },
    openOperateDialog() {
      this.showOperate = true
    },
    selectPart(param) {},
    selectOperate(operate) {},
    initData() {
      this.dataForm.operationId = null
      this.dataForm.operationName = null
      this.dataForm.operationNo = null
      this.dataForm.partId = null
      this.dataForm.partName = null
      this.dataForm.partNo = null
    },
    saveSelectRow() {
      this.isSubmit = true
    }
  },
  watch: {
    currshowlist() {
      console.log('orderId', this.orderId)
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
        this.initData()
        this.$nextTick(() => {})
      }
    }
  }
}
</script>
<style>
.order-operation-dialog .el-dialog__header {
  padding: 10px 20px 10px;
}
.order-operation-dialog .el-dialog__header .el-dialog__headerbtn {
  top: 10px;
}
.order-operation-dialog .el-dialog__body {
  padding: 5px 20px;
}

.order-operation-dialog .el-dialog__footer {
  padding: 5px 20px 10px;
}

.order-operation-dialog .el-dialog__body .avue-crud__pagination {
  margin-top: 0px;
  margin-bottom: 5px;
}
</style>
